LinuxQuestions.org
Help answer threads with 0 replies.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 05-28-2008, 08:58 AM   #1
sotux
LQ Newbie
 
Registered: Sep 2005
Location: Shanghai, China
Distribution: Ubuntu
Posts: 5

Rep: Reputation: 0
compile qt error on slack12.1


I wanted to apply some patches on qt-3.3.8b so I compiled qt myself using the build script in official DVD. But I found there is some error in the script and can't compile qt correctly.
After reading some docs about BLFS, I fixed script and can compile qt in /tmp dir.

Below is my patch
Code:
--- /mnt/dvd/source/l/qt/qt.SlackBuild	2008-02-29 07:51:27.000000000 +0800
+++ /home/build/qt/qt.SlackBuild	2008-05-28 20:27:31.000000000 +0800
@@ -42,19 +42,22 @@
   SLKCFLAGS="-O2"
 fi
 
-#cd $TMP
+cd $TMP
 # I have *many* times tried building this package in /tmp, and it always
 # ends up with a "/tmp" directory embedded in some wrong place.  Hopefully
 # the next time I see this comment I'll remember that and not make the
 # same mistake again just for the sake of doing things "right" (but having
 # the package come out wrong...)
 #rm -rf ${PKGNAM}-${VERSION}
-cd /usr/lib
+#cd /usr/lib
 rm -rf qt qt-3.*
 tar xjvf $CWD/qt-x11-free-$VERSION.tar.bz2 || exit 1
 mv qt-x11-free-$VERSION qt
 cd qt
 
+export LD_LIBRARY_PATH=$PWD/lib:$LD_LIBRARY_PATH
+export PATH=$PWD/bin:$PATH
+
 if [ $ARCH = "i486" ]; then
   zcat $CWD/qt.x86.cflags.diff.gz | patch -p1 || exit 1
 fi
@@ -62,6 +65,24 @@
 zcat $CWD/qt-x11.diff.gz | patch -p1 || exit 1
 zcat $CWD/qt.mysql.h.diff.gz | patch -p1 || exit 1

 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . -perm 666 -exec chmod 644 {} \;
@@ -105,7 +126,7 @@
 
 # We're using '-i' to work around a bug where the build tries to strip html files.
 # Build the important stuff:
-make -j5 -i symlinks sub-src sub-tools || exit 1
+make -j5 symlinks sub-src sub-tools || exit 1
 make install INSTALL_ROOT=$PKG || exit 1
 
 # The infamous qt -> qt-${VERSION} link that lets us cheat on the QTDIR ;-)
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Asterisk compile error make: *** [makeopts] Error 1 crmexclusive Debian 3 02-24-2012 06:33 PM
Conmpile error wen compile php:configure: error: libpng.(a|so) not found tanveer Linux - Software 5 02-03-2009 06:13 AM
rpm compile time error:make error ashmita04 Red Hat 1 07-09-2007 03:44 AM
Compile madwifi, ... compile error , how can i do. ERBRMN Linux - Networking 3 03-08-2006 07:56 PM
compile error: #error unknown processor family kmack2001 Linux - Newbie 0 02-14-2004 11:52 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 07:07 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration